%global gem_name mustache

Summary:       Mustache is a framework-agnostic way to render logic-free views
Name:          rubygem-%{gem_name}
Version:       1.1.1
Release:       4%{?dist}
License:       MIT
URL:           https://github.com/mustache/mustache
Source0:       https://rubygems.org/gems/%{gem_name}-%{version}.gem

Patch3000:     rubygem-mustache-1.1.1-Fix-test-race-condition.patch

BuildRequires: ruby(release) rubygems-devel ruby rubygem(minitest)
BuildArch: noarch

%description
Inspired by ctemplate, Mustache is a framework-agnostic way to render logic-free views.

As ctemplates says, "It emphasizes separating logic from presentation: it is impossible to embed
application logic in this template language.

Think of Mustache as a replacement for your views. Instead of views consisting of ERB or HAML with
random helpers and arbitrary logic, your views are broken into two parts: a Ruby class and an HTML
template.

%prep
%autosetup -n %{gem_name}-%{version} -p1

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

install -Dp .%{gem_instdir}/man/mustache.5 -t %{buildroot}%{_mandir}/man5
install -Dp .%{gem_instdir}/man/mustache.1 -t %{buildroot}%{_mandir}/man1

%check
pushd .%{gem_instdir}
sed -i '/simplecov/,/^end$/ s/^/#/' test/helper.rb
LANG=C.UTF-8 ruby -Ilib -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%license %{gem_instdir}/LICENSE
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%dir %{gem_instdir}
%{_bindir}/mustache
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_cache}
%{gem_instdir}/man
%doc %{_mandir}/man1/*
%doc %{_mandir}/man5/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.1-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Feb 20 2023 Shuo Wang <abushwang@tencent.com> - 1.1.1-1
- initial build
